<Page x:Class="homework_12_6.Employee.List.EmployeeList"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
      mc:Ignorable="d"
      Title="EmployeeList" Height="600" Width="800">
    <Page.Resources>
        <DataTemplate x:Key="Edit">
            <Button Click="EditClick" Tag="{Binding Id}">Edit</Button>
        </DataTemplate>
        <DataTemplate x:Key="Details">
            <Button Click="DetailsClick" Tag="{Binding Id}">Details</Button>
        </DataTemplate>
        <DataTemplate x:Key="Delete">
            <Button Click="DeleteClick" Tag="{Binding Id}">Delete</Button>
        </DataTemplate>
    </Page.Resources>
    
    <Grid Margin="10, 0, 10, 10">
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition />
            <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>
        <Button x:Name="AddNewEmployee" Grid.Column="0" Grid.Row="0" Click="Add">Add new Employee</Button>
        <ListView
            x:Name="EmployeeListBox"
            Grid.Column="0"
            Grid.Row="1"
            GridViewColumnHeader.Click="GridViewColumnHeaderClickedHandler">
            <ListView.View>
                <GridView>
                    <GridViewColumn Header="Id" DisplayMemberBinding="{Binding Id}"/>
                    <GridViewColumn Header="Firstname" DisplayMemberBinding="{Binding Firstname}"/>
                    <GridViewColumn Header="Lastname" DisplayMemberBinding="{Binding Lastname}"/>
                    <GridViewColumn Header="Age" DisplayMemberBinding="{Binding Age}"/>
                    <GridViewColumn Header="Salary" DisplayMemberBinding="{Binding Salary}"/>
                    <GridViewColumn Header="EmployeeType" DisplayMemberBinding="{Binding EmployeeType}"/>
                    <GridViewColumn Header="DepartmentId" DisplayMemberBinding="{Binding DepartmentId}"/>
                    <GridViewColumn Header="Edit" CellTemplate="{StaticResource Edit}"/>
                    <GridViewColumn Header="Details" CellTemplate="{StaticResource Details}"/>
                    <GridViewColumn Header="Delete" CellTemplate="{StaticResource Delete}"/>
                </GridView>
            </ListView.View>
        </ListView>
    </Grid>
</Page>
